Bug 117254 - [PATCH] print/fontforge: update to 20071002, take maintainership
Summary: [PATCH] print/fontforge: update to 20071002, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-16 20:20 UTC by Naram Qashat
Modified: 2007-10-27 23:10 UTC (History)
0 users

See Also:


Attachments
fontforge-20071002.patch (35.54 KB, patch)
2007-10-16 20:20 UTC, Naram Qashat
no flags Details | Diff
fontforge_patch.diff (1.21 KB, patch)
2007-10-17 06:33 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2007-10-16 20:20:01 UTC
- Update to 20071002
- Take maintainership
- Corrected pkg-plist

Generated with FreeBSD Port Tools 0.77
Comment 1 Naram Qashat 2007-10-17 06:33:35 UTC
I need to post a change to the patch of files/patch-Makefile.dynamic.in, I was 
in a hurry earlier when I submitted the full patch and didn't test the change to 
the Makefile.dynamic.in patch (which failed).  Attached is the corrected version.

Thanks,
Naram Qashat

Naram Qashat wrote:
>> Number:         117254
>> Category:       ports
>> Synopsis:       [PATCH] print/fontforge: update to 20071002, take maintainership
>> Confidential:   no
>> Severity:       non-critical
>> Priority:       low
>> Responsible:    freebsd-ports-bugs
>> State:          open
>> Quarter:        
>> Keywords:       
>> Date-Required:
>> Class:          update
>> Submitter-Id:   current-users
>> Arrival-Date:   Tue Oct 16 19:20:01 UTC 2007
>> Closed-Date:
>> Last-Modified:
>> Originator:     Naram Qashat
>> Release:        FreeBSD 6.2-RELEASE-p8 i386
>> Organization:
>> Environment:
> System: FreeBSD kirby.cyberbotx.com 6.2-RELEASE-p8 FreeBSD 6.2-RELEASE-p8 #12: Sun Oct 14 16:14:35 EDT 2007
>> Description:
> - Update to 20071002
> - Take maintainership
> - Corrected pkg-plist
> 
> Generated with FreeBSD Port Tools 0.77
>> How-To-Repeat:
>> Fix:
> 
> --- fontforge-20071002.patch begins here ---
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/Makefile /kirby/shared/ports/fontforge/Makefile
> --- /usr/ports/print/fontforge/Makefile	Sun May 20 17:02:14 2007
> +++ /kirby/shared/ports/fontforge/Makefile	Tue Oct 16 14:59:43 2007
> @@ -6,19 +6,13 @@
>  #
>  
>  PORTNAME=	fontforge
> -PORTVERSION=	20060822
> -PORTREVISION=	1
> +PORTVERSION=	20071002
>  CATEGORIES=	print
> -MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
> -MASTER_SITE_SUBDIR=	fontforge
> +MASTER_SITES=	SF
>  DISTFILES=	${EXTRACT_ONLY} ${DOCFILES}
>  EXTRACT_ONLY=	${PORTNAME}_full-${PORTVERSION}.tar.bz2
> -.if defined(FONTFORGE_WITH_TTF_DEBUGGER)
> -FREETYPE_VERSION=	2.1.10
> -EXTRACT_ONLY+=	freetype-${FREETYPE_VERSION}.tar.bz2
> -.endif
>  
> -MAINTAINER=	ports@FreeBSD.org
> +MAINTAINER=	cyberbotx@cyberbotx.com
>  COMMENT=	Type 1/TrueType/OpenType/bitmap font editor
>  
>  LIB_DEPENDS=	uninameslist.0:${PORTSDIR}/textproc/libuninameslist \
> @@ -29,10 +23,14 @@
>  		freetype.9:${PORTSDIR}/print/freetype2 \
>  		xml2.5:${PORTSDIR}/textproc/libxml2
>  
> -DOC_VERSION=	20060822
> -DOCFILES=	${PORTNAME}_htdocs-${DOC_VERSION}.tar.bz2
> +.if defined(FONTFORGE_WITH_TTF_DEBUGGER)
> +FREETYPE_VERSION=	2.1.10
> +EXTRACT_ONLY+=	freetype-${FREETYPE_VERSION}.tar.bz2
> +.endif
> +
>  .if !defined(NOPORTDOCS)
> -DOCFILES+=	${PORTNAME}_ja_htdocs-${DOC_VERSION}.tar.bz2
> +DOC_VERSION=	${PORTVERSION}
> +DOCFILES=	${PORTNAME}_htdocs-${DOC_VERSION}.tar.bz2
>  .endif
>  
>  USE_BZIP2=	yes
> @@ -53,25 +51,23 @@
>  .endif
>  CONFIGURE_ARGS=	${WITH_MULTILAYER} --with-devicetables ${WITH_FREETYPE_SRC}
>  CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" CFLAGS="${CFLAGS} \
> -		-I${LOCALBASE}/include -I${LOCALBASE}/include/freetype2 \
> -		-L${LOCALBASE}/lib" CPPFLAGS="-I${LOCALBASE}/include \
> -		-I${LOCALBASE}/include/freetype2"
> +		-I${LOCALBASE}/include -I${LOCALBASE}/include/freetype2" \
> +		CPPFLAGS="-I${LOCALBASE}/include -I${LOCALBASE}/include/freetype2"
>  
> -WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
>  USE_LDCONFIG=	yes
>  GNU_CONFIGURE=	yes
>  USE_AUTOTOOLS=	libtool:15
>  USE_GCC=	3.2+
>  
> -MAN1=		fontforge.1 sfddiff.1
> +MAN1=		fontforge.1 fontimage.1 fontlint.1 sfddiff.1
>  
> -pre-everything::
> -.if defined(WITHOUT_EXTRA_ENCODINGS)
> -	@${ECHO_MSG} "WARNING: You should not compile libiconv with WITHOUT_EXTRA_ENCODINGS"
> -	@${ECHO_MSG} "defined, because libiconv must be configured with --enable-extra-encoding"
> -	@${ECHO_MSG} "as FontForge requires Shift-JIS."
> -	@${ECHO_MSG} ""
> +.if defined(FONTFORGE_NO_PLUGINS)
> +PLIST_SUB+=	NO_PLUGINS="@comment "
> +.else
> +PLIST_SUB+=	NO_PLUGINS=""
>  .endif
> +
> +pre-everything::
>  .if !defined(WITHOUT_TTF_BYTECODE_ENABLED) && !defined(FONTFORGE_WITH_TTF_DEBUGGER)
>  	@${ECHO_MSG} "If you have built freetype2 port with bytecode interpreter enabled,"
>  	@${ECHO_MSG} "You can use TTF instruction debugger by compiling fontforge port"
> @@ -109,11 +105,9 @@
>  	(cd ${WRKSRC}/plugins; ${INSTALL_DATA} .libs/* ${PREFIX}/share/fontforge/plugins )
>  .endif
>  .if !defined(NOPORTDOCS)
> -	${MKDIR} ${DOCSDIR}/flags ${DOCSDIR}/ja ${DOCSDIR}/ja/nonBMP/
> +	${MKDIR} ${DOCSDIR}/flags
>  	${INSTALL_DATA} ${WRKDIR}/html/*.* ${DOCSDIR}
> -	${INSTALL_DATA} ${WRKDIR}/html/flags/* ${DOCSDIR}/flags
> -	${INSTALL_DATA} ${WRKDIR}/html/ja/*.* ${DOCSDIR}/ja
> -	${INSTALL_DATA} ${WRKDIR}/html/ja/nonBMP/*.* ${DOCSDIR}/ja/nonBMP
> +	${INSTALL_DATA} ${WRKDIR}/html/flags/*.* ${DOCSDIR}/flags
>  .endif
>  
>  .include <bsd.port.mk>
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/distinfo /kirby/shared/ports/fontforge/distinfo
> --- /usr/ports/print/fontforge/distinfo	Thu Sep  7 19:10:19 2006
> +++ /kirby/shared/ports/fontforge/distinfo	Tue Oct 16 14:13:40 2007
> @@ -1,12 +1,9 @@
> -MD5 (fontforge_full-20060822.tar.bz2) = 872a8013be82e322677f7c254101544d
> -SHA256 (fontforge_full-20060822.tar.bz2) = 579999b9804f9c689e5b61fd42f31c4944792d6c2772bc994c57dd4b779795b9
> -SIZE (fontforge_full-20060822.tar.bz2) = 3421669
> +MD5 (fontforge_full-20071002.tar.bz2) = 0f4090b9035e50befee39d1b8c16cff2
> +SHA256 (fontforge_full-20071002.tar.bz2) = af08861c48e8f53e6c0f6e71d77ec227b7339dd0b5ce8253da4e4be79caa2866
> +SIZE (fontforge_full-20071002.tar.bz2) = 4264337
>  MD5 (freetype-2.1.10.tar.bz2) = a4012e7d1f6400df44a16743b11b8423
>  SHA256 (freetype-2.1.10.tar.bz2) = fed2ed148d7d105b95493c5e95561c8b05ee7909e00f828f036d8ed1be6a5e53
>  SIZE (freetype-2.1.10.tar.bz2) = 1037107
> -MD5 (fontforge_htdocs-20060822.tar.bz2) = 40f374cf43d57d8e8f29e7fe25bf8f39
> -SHA256 (fontforge_htdocs-20060822.tar.bz2) = 1577470e18beda41b9fd628f0a9b3a2df789e81c9fea0515696dff3600a7f3ad
> -SIZE (fontforge_htdocs-20060822.tar.bz2) = 2168927
> -MD5 (fontforge_ja_htdocs-20060822.tar.bz2) = 4f672807a8885c67f98b6f449d6f101a
> -SHA256 (fontforge_ja_htdocs-20060822.tar.bz2) = 7fab073647edd096aaff93c114f9a4385dc16dec0903c0a92735d531d4d4a49d
> -SIZE (fontforge_ja_htdocs-20060822.tar.bz2) = 3200612
> +MD5 (fontforge_htdocs-20071002.tar.bz2) = bc0be7d21cf039e6a24c81b65b3f30d9
> +SHA256 (fontforge_htdocs-20071002.tar.bz2) = 7006287299edecf5cb1eadd63d52976e7999a593c37eda5614771f709602e6ce
> +SIZE (fontforge_htdocs-20071002.tar.bz2) = 2648480
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/files/patch-Makefile.dynamic.in /kirby/shared/ports/fontforge/files/patch-Makefile.dynamic.in
> --- /usr/ports/print/fontforge/files/patch-Makefile.dynamic.in	Thu Sep  7 19:10:19 2006
> +++ /kirby/shared/ports/fontforge/files/patch-Makefile.dynamic.in	Tue Oct 16 15:09:09 2007
> @@ -1,13 +1,13 @@
> ---- Makefile.dynamic.in.orig	Sun Apr  9 04:24:14 2006
> -+++ Makefile.dynamic.in	Thu Apr 27 16:43:18 2006
> -@@ -54,8 +54,8 @@
> - 	$(LIBTOOL) --mode=install $(INSTALL) -c libgunicode.la $(libdir)/libgunicode.la
> - 	#cp .libs/*.so.*.* $(libdir)
> - 	$(LIBTOOL) --mode=finish $(libdir)
> --	mkdir -p $(libdir)/pkgconfig
> --	$(INSTALL_DATA) fontforge.pc $(libdir)/pkgconfig
> -+	mkdir -p ${PREFIX}/libdata/pkgconfig
> -+	$(INSTALL_DATA) fontforge.pc ${PREFIX}/libdata/pkgconfig
> +--- Makefile.dynamic.in.orig	Tue Oct 16 15:08:46 2007
> ++++ Makefile.dynamic.in	Tue Oct 16 15:08:50 2007
> +@@ -59,8 +59,8 @@
> + #We don't always build libfontforge
> + 	-$(LIBTOOL) --mode=install $(INSTALL) -c libfontforge.la $(DESTDIR)$(libdir)/libfontforge.la
> + 	$(LIBTOOL) --mode=finish $(DESTDIR)$(libdir)
> +-	mkdir -p $(DESTDIR)$(libdir)/pkgconfig
> +-	$(INSTALL_DATA) fontforge.pc $(DESTDIR)$(libdir)/pkgconfig
> ++	mkdir -p $(DESTDIR)/libdata/pkgconfig
> ++	$(INSTALL_DATA) fontforge.pc $(DESTDIR)/libdata/pkgconfig
>   
>   install_docs:
> - 	mkdir -p $(docdir)
> + 	mkdir -p $(DESTDIR)$(docdir)
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/files/patch-fontforge::Makefile.dynamic.in /kirby/shared/ports/fontforge/files/patch-fontforge::Makefile.dynamic.in
> --- /usr/ports/print/fontforge/files/patch-fontforge::Makefile.dynamic.in	Thu Sep  7 19:10:19 2006
> +++ /kirby/shared/ports/fontforge/files/patch-fontforge::Makefile.dynamic.in	Tue Oct 16 13:01:06 2007
> @@ -1,8 +1,6 @@
> ---- fontforge/Makefile.dynamic.in.orig	Fri Apr 14 02:59:01 2006
> -+++ fontforge/Makefile.dynamic.in	Thu Apr 27 16:21:35 2006
> -@@ -43,19 +43,19 @@
> -  cvdgloss.o groups.o parsepdf.o plugins.o bdfinfo.o \
> -  glyphcomp.o @FF_EXTRA_FILES@
> +--- fontforge/Makefile.dynamic.in.orig	Tue Oct 16 12:59:51 2007
> ++++ fontforge/Makefile.dynamic.in	Tue Oct 16 13:00:38 2007
> +@@ -51,7 +51,7 @@
>   DIFFOBJS = sfddiff.o sfd.o diffstubs.o stamp.o namelist.o pua.o
>   ACORNOBJS = acorn2sfd.o sfd.o diffstubs.o psunicodenames.o stamp.o
>   
> @@ -11,15 +9,14 @@
>       @DEFS@ '-DSHAREDIR="$(sharedir)"' -DLIBDIR='"$(libdir)"' \
>       @CPPFLAGS@ '-DPREFIX="@prefix@"'
>   CFLAGS = @CFLAGS@ $(_CFLAGS)
> - 
> +@@ -59,8 +59,8 @@
>   #I used to include -L/usr/lib explicitly after static_libs. Not sure why. Should be implied & breaks 64bit compiles
> + LDFLAGS = @LDFLAGS@
>   LIBS = -rpath $(libdir) $(X_LIBS) ../libgdraw.la ../libgunicode.la \
>  -    $(X_PRE_LIBS) $(X_11LIB) $(X_EXTRA_LIBS) @LIBS@ $(STATIC_LIBS) -lm
>  -DLIBS = -rpath $(libdir) ../libgunicode.la @LIBS@ $(STATIC_LIBS) -lm
>  +    $(X_PRE_LIBS) $(X_11LIB) $(X_EXTRA_LIBS) @LIBS@ $(STATIC_LIBS) -lm -lintl
>  +DLIBS = -rpath $(libdir) ../libgunicode.la @LIBS@ $(STATIC_LIBS) -lm -lintl
>   
> - all: fontforge sfddiff
> + all: @FINAL_TARGET@ sfddiff fontimage fontlint
>   
> - fontforge: main.o $(fontforge_LIBOBJECTS)
> - 	$(LIBTOOL) --mode=link $(CC) -export-dynamic -o fontforge main.o $(fontforge_LIBOBJECTS) $(LIBS)
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/files/patch-fontforge::configure-pfaedit.h /kirby/shared/ports/fontforge/files/patch-fontforge::configure-pfaedit.h
> --- /usr/ports/print/fontforge/files/patch-fontforge::configure-pfaedit.h	Thu Apr 28 00:08:53 2005
> +++ /kirby/shared/ports/fontforge/files/patch-fontforge::configure-pfaedit.h	Tue Oct 16 13:03:50 2007
> @@ -1,6 +1,6 @@
> ---- fontforge/configure-pfaedit.h.orig	Sat Jan  8 11:11:45 2005
> -+++ fontforge/configure-pfaedit.h	Thu Jan 20 16:53:29 2005
> -@@ -73,7 +73,7 @@
> +--- fontforge/configure-pfaedit.h.orig	Tue Oct 16 13:02:54 2007
> ++++ fontforge/configure-pfaedit.h	Tue Oct 16 13:03:25 2007
> +@@ -90,7 +90,7 @@
>   /* Sometimes I want to create a glyph which is a word, and this command       */
>   /*  makes that easy                                                           */
>   /*									      */
> @@ -9,7 +9,7 @@
>   /*									      */
>   /* The paste after command pastes the contents of the clipboard into the      */
>   /*  current glyph, translates that by the advance width of the current glyph  */
> -@@ -84,7 +84,7 @@
> +@@ -108,7 +108,7 @@
>   /*  don't include code for it by default, but if you do want it simply define */
>   /*  the following macro							      */
>   /*									      */
> @@ -18,12 +18,3 @@
>   /*									      */
>   /* The tile path command uses the contents of the clipboard as a tile which is*/
>   /*  applied to any selected paths, replacing them. It could be used to make a */
> -@@ -190,7 +190,7 @@
> - /*  routine. I'm not sure that it's very useful though. It can be used to do  */
> - /*  perspective transformations and such				      */
> - /*									      */
> --/* #define FONTFORGE_CONFIG_NONLINEAR					      */
> -+#define FONTFORGE_CONFIG_NONLINEAR
> - /*									      */
> - /* This command takes two strings which specify general expressions in x and y*/
> - /*  and applies the specified transformations to the splines.  Note: Each     */
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/files/patch-plugins-Makefile.in /kirby/shared/ports/fontforge/files/patch-plugins-Makefile.in
> --- /usr/ports/print/fontforge/files/patch-plugins-Makefile.in	Sat Apr  8 20:13:48 2006
> +++ /kirby/shared/ports/fontforge/files/patch-plugins-Makefile.in	Tue Oct 16 13:05:59 2007
> @@ -1,11 +1,11 @@
> ---- plugins/Makefile.in.orig	Fri Nov 11 10:46:50 2005
> -+++ plugins/Makefile.in	Wed Mar  1 10:40:02 2006
> -@@ -28,7 +28,7 @@
> +--- plugins/Makefile.in.orig	Tue Oct 16 13:05:16 2007
> ++++ plugins/Makefile.in	Tue Oct 16 13:05:41 2007
> +@@ -20,7 +20,7 @@
> +     @CPPFLAGS@ '-DPREFIX="@prefix@"'
>   CFLAGS = @CFLAGS@ $(_CFLAGS)
>   
> - LIBS = -rpath $(libdir) $(X_LIBS) ../libgdraw.la ../libgunicode.la \
> --    $(X_PRE_LIBS) $(X_11LIB) $(X_EXTRA_LIBS) @LIBS@ $(STATIC_LIBS) -L/usr/lib -lm
> -+    $(X_PRE_LIBS) $(X_11LIB) $(X_EXTRA_LIBS) @LIBS@ $(STATIC_LIBS) -L/usr/lib -L/usr/local/lib -lm
> +-LIBS = -rpath $(libdir)  -L/usr/lib -lm
> ++LIBS = -rpath $(libdir)  -L/usr/lib -L$(prefix)/lib -lm
>   
>   PLUGINS = gb12345.la
>   
> diff -ruN --exclude=CVS /usr/ports/print/fontforge/pkg-plist /kirby/shared/ports/fontforge/pkg-plist
> --- /usr/ports/print/fontforge/pkg-plist	Wed Mar 21 02:06:13 2007
> +++ /kirby/shared/ports/fontforge/pkg-plist	Tue Oct 16 15:06:56 2007
> @@ -1,35 +1,22 @@
>  bin/fontforge
> +bin/fontimage
> +bin/fontlint
>  bin/sfddiff
> +lib/libfontforge.a
> +lib/libfontforge.la
> +lib/libfontforge.so
> +lib/libfontforge.so.1
>  lib/libgdraw.a
>  lib/libgdraw.la
>  lib/libgdraw.so
> -lib/libgdraw.so.1
> +lib/libgdraw.so.2
>  lib/libgunicode.a
>  lib/libgunicode.la
>  lib/libgunicode.so
> -lib/libgunicode.so.2
> +lib/libgunicode.so.3
>  libdata/pkgconfig/fontforge.pc
> -share/locale/es/LC_MESSAGES/FontForge.mo
> -share/locale/fr/LC_MESSAGES/FontForge.mo
> -share/locale/gr/LC_MESSAGES/FontForge.mo
> -share/locale/it/LC_MESSAGES/FontForge.mo
> -share/locale/ja/LC_MESSAGES/FontForge.mo
> -share/locale/ru/LC_MESSAGES/FontForge.mo
> -share/locale/vi/LC_MESSAGES/FontForge.mo
> -%%DOCSDIR%%/LICENSE
> -%%DATADIR%%/Adobe-CNS1-4.cidmap
> -%%DATADIR%%/Adobe-GB1-4.cidmap
> -%%DATADIR%%/Adobe-Identity-0.cidmap
> -%%DATADIR%%/Adobe-Japan1-6.cidmap
> -%%DATADIR%%/Adobe-Japan2-0.cidmap
> -%%DATADIR%%/Adobe-Korea1-2.cidmap
> -%%DATADIR%%/plugins/gb12345.a
> -%%DATADIR%%/plugins/gb12345.la
> -%%DATADIR%%/plugins/gb12345.lai
> -%%DATADIR%%/plugins/gb12345.o
> -%%DATADIR%%/plugins/gb12345.so
> -%%DATADIR%%/plugins/gb12345.so.0
>  %%PORTDOCS%%%%DOCSDIR%%/AA-Comparison.html
> +%%PORTDOCS%%%%DOCSDIR%%/AddLookup-Liga.png
>  %%PORTDOCS%%%%DOCSDIR%%/AmbrosiaFV-bm.png
>  %%PORTDOCS%%%%DOCSDIR%%/AmbrosiaFV.png
>  %%PORTDOCS%%%%DOCSDIR%%/Anna.gif
> @@ -38,8 +25,13 @@
>  %%PORTDOCS%%%%DOCSDIR%%/BDFgrey.html
>  %%PORTDOCS%%%%DOCSDIR%%/BethSans.png
>  %%PORTDOCS%%%%DOCSDIR%%/BethSerif.png
> +%%PORTDOCS%%%%DOCSDIR%%/BexpandBigSerifs.png
> +%%PORTDOCS%%%%DOCSDIR%%/BexpandCJK.png
> +%%PORTDOCS%%%%DOCSDIR%%/BexpandLCG.png
> +%%PORTDOCS%%%%DOCSDIR%%/BexpandLCGsquish.png
>  %%PORTDOCS%%%%DOCSDIR%%/Big5.txt
>  %%PORTDOCS%%%%DOCSDIR%%/BitmapView.png
> +%%PORTDOCS%%%%DOCSDIR%%/BoldHiraDA.png
>  %%PORTDOCS%%%%DOCSDIR%%/Bperspective.png
>  %%PORTDOCS%%%%DOCSDIR%%/C1.png
>  %%PORTDOCS%%%%DOCSDIR%%/C10.png
> @@ -52,7 +44,9 @@
>  %%PORTDOCS%%%%DOCSDIR%%/C8.png
>  %%PORTDOCS%%%%DOCSDIR%%/C9.png
>  %%PORTDOCS%%%%DOCSDIR%%/CaslonOriginality.png
> +%%PORTDOCS%%%%DOCSDIR%%/ChangeWeight.png
>  %%PORTDOCS%%%%DOCSDIR%%/CharPrint.png
> +%%PORTDOCS%%%%DOCSDIR%%/CondenseExtend.png
>  %%PORTDOCS%%%%DOCSDIR%%/Constrain1_1.png
>  %%PORTDOCS%%%%DOCSDIR%%/Constrain1_2.png
>  %%PORTDOCS%%%%DOCSDIR%%/Constrain2_1.png
> @@ -70,7 +64,9 @@
>  %%PORTDOCS%%%%DOCSDIR%%/FVHMetrics.png
>  %%PORTDOCS%%%%DOCSDIR%%/FVVMetrics.png
>  %%PORTDOCS%%%%DOCSDIR%%/FontDisplay.png
> +%%PORTDOCS%%%%DOCSDIR%%/FontForge.css
>  %%PORTDOCS%%%%DOCSDIR%%/FontForgeSplash.png
> +%%PORTDOCS%%%%DOCSDIR%%/FontImage.png
>  %%PORTDOCS%%%%DOCSDIR%%/FontSample.png
>  %%PORTDOCS%%%%DOCSDIR%%/GSUB-Order.png
>  %%PORTDOCS%%%%DOCSDIR%%/GenerateFamily.png
> @@ -92,13 +88,38 @@
>  %%PORTDOCS%%%%DOCSDIR%%/ItalicCompCaslon.png
>  %%PORTDOCS%%%%DOCSDIR%%/ItalicCompGalliard.png
>  %%PORTDOCS%%%%DOCSDIR%%/KernPairs.png
> +%%PORTDOCS%%%%DOCSDIR%%/LICENSE
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-Constants.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-Exten.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-GlyphConstructed.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-GlyphConstruction.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-GlyphConstructionDlg.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-Italic.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-MathKern.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-MathKernGraph.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-MathKernText.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-TopAccent.png
> +%%PORTDOCS%%%%DOCSDIR%%/MATH-VertVariants.png
>  %%PORTDOCS%%%%DOCSDIR%%/MacFeatName.png
>  %%PORTDOCS%%%%DOCSDIR%%/MacMapping.png
>  %%PORTDOCS%%%%DOCSDIR%%/MacOSX.html
> -%%PORTDOCS%%%%DOCSDIR%%/MetaFont.html
> +%%PORTDOCS%%%%DOCSDIR%%/MassRename.png
> +%%PORTDOCS%%%%DOCSDIR%%/MetricsView-features.png
>  %%PORTDOCS%%%%DOCSDIR%%/MetricsView.png
>  %%PORTDOCS%%%%DOCSDIR%%/MultiPrint.png
>  %%PORTDOCS%%%%DOCSDIR%%/NoPointHint.png
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-FAQ-Unofficial-fr.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-FAQ-Unofficial-vi.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-FAQ-vi.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-Unofficial-el.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-Unofficial-fr.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-Unofficial-pl.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-Unofficial-vi.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-Unofficial.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-el.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-fr.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-pl.html
> +%%PORTDOCS%%%%DOCSDIR%%/OFL-vi.html
>  %%PORTDOCS%%%%DOCSDIR%%/OutlineInline.png
>  %%PORTDOCS%%%%DOCSDIR%%/PageSetup.png
>  %%PORTDOCS%%%%DOCSDIR%%/PfaEdit-TeX.html
> @@ -120,6 +141,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/Sti4.png
>  %%PORTDOCS%%%%DOCSDIR%%/Sti5.png
>  %%PORTDOCS%%%%DOCSDIR%%/Sti6.png
> +%%PORTDOCS%%%%DOCSDIR%%/Styles.html
>  %%PORTDOCS%%%%DOCSDIR%%/Sxi.png
>  %%PORTDOCS%%%%DOCSDIR%%/Sxiti.png
>  %%PORTDOCS%%%%DOCSDIR%%/Sxiti2.png
> @@ -145,9 +167,13 @@
>  %%PORTDOCS%%%%DOCSDIR%%/accented.html
>  %%PORTDOCS%%%%DOCSDIR%%/acenter.png
>  %%PORTDOCS%%%%DOCSDIR%%/acorn2sfd.html
> +%%PORTDOCS%%%%DOCSDIR%%/addlookup-kern.png
>  %%PORTDOCS%%%%DOCSDIR%%/agetinfo.png
>  %%PORTDOCS%%%%DOCSDIR%%/agrave_anchored.png
>  %%PORTDOCS%%%%DOCSDIR%%/ahighest.png
> +%%PORTDOCS%%%%DOCSDIR%%/allgreek.png
> +%%PORTDOCS%%%%DOCSDIR%%/alphakappaiota.png
> +%%PORTDOCS%%%%DOCSDIR%%/alphakappaiotatheta.png
>  %%PORTDOCS%%%%DOCSDIR%%/anchorcontrol-base.png
>  %%PORTDOCS%%%%DOCSDIR%%/anchorcontrol-mark.png
>  %%PORTDOCS%%%%DOCSDIR%%/anchorcontrol.html
> @@ -168,9 +194,11 @@
>  %%PORTDOCS%%%%DOCSDIR%%/bezier.html
>  %%PORTDOCS%%%%DOCSDIR%%/bibliography.html
>  %%PORTDOCS%%%%DOCSDIR%%/bitmapchar.png
> +%%PORTDOCS%%%%DOCSDIR%%/bitmaponlysfnt.html
>  %%PORTDOCS%%%%DOCSDIR%%/bitmapsavail.png
>  %%PORTDOCS%%%%DOCSDIR%%/bitmapview.html
>  %%PORTDOCS%%%%DOCSDIR%%/boustrophedon.png
> +%%PORTDOCS%%%%DOCSDIR%%/bowlweb.gif
>  %%PORTDOCS%%%%DOCSDIR%%/bvlayers.png
>  %%PORTDOCS%%%%DOCSDIR%%/bvtools.png
>  %%PORTDOCS%%%%DOCSDIR%%/cap-height.png
> @@ -182,6 +210,8 @@
>  %%PORTDOCS%%%%DOCSDIR%%/charinfo-lig.png
>  %%PORTDOCS%%%%DOCSDIR%%/charinfo-pos.png
>  %%PORTDOCS%%%%DOCSDIR%%/charinfo-subs.png
> +%%PORTDOCS%%%%DOCSDIR%%/charinfo-tex.png
> +%%PORTDOCS%%%%DOCSDIR%%/charinfo-variants.png
>  %%PORTDOCS%%%%DOCSDIR%%/charinfo.html
>  %%PORTDOCS%%%%DOCSDIR%%/charinfo.png
>  %%PORTDOCS%%%%DOCSDIR%%/charview-multilayer.png
> @@ -236,6 +266,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/display.html
>  %%PORTDOCS%%%%DOCSDIR%%/displaygroups.png
>  %%PORTDOCS%%%%DOCSDIR%%/document.nvd
> +%%PORTDOCS%%%%DOCSDIR%%/donate.png
>  %%PORTDOCS%%%%DOCSDIR%%/doublestruck-B.png
>  %%PORTDOCS%%%%DOCSDIR%%/editcvt.png
>  %%PORTDOCS%%%%DOCSDIR%%/editexample-fr.html
> @@ -247,12 +278,14 @@
>  %%PORTDOCS%%%%DOCSDIR%%/editexample6-5.html
>  %%PORTDOCS%%%%DOCSDIR%%/editexample6.html
>  %%PORTDOCS%%%%DOCSDIR%%/editexample7.html
> +%%PORTDOCS%%%%DOCSDIR%%/editexample8.html
>  %%PORTDOCS%%%%DOCSDIR%%/editmenu.html
>  %%PORTDOCS%%%%DOCSDIR%%/edittransition-context.png
>  %%PORTDOCS%%%%DOCSDIR%%/edittransition-indic.png
>  %%PORTDOCS%%%%DOCSDIR%%/edittransition-insert.png
>  %%PORTDOCS%%%%DOCSDIR%%/edittransition-kern.png
>  %%PORTDOCS%%%%DOCSDIR%%/elementmenu.html
> +%%PORTDOCS%%%%DOCSDIR%%/emptyhlig.png
>  %%PORTDOCS%%%%DOCSDIR%%/encodingmenu.html
>  %%PORTDOCS%%%%DOCSDIR%%/englishkernpairs.txt
>  %%PORTDOCS%%%%DOCSDIR%%/errrecovery.html
> @@ -273,8 +306,13 @@
>  %%PORTDOCS%%%%DOCSDIR%%/feature-tag-pair.png
>  %%PORTDOCS%%%%DOCSDIR%%/feature-tag-pos.png
>  %%PORTDOCS%%%%DOCSDIR%%/feature-tag-sub.png
> +%%PORTDOCS%%%%DOCSDIR%%/featurefile.html
> +%%PORTDOCS%%%%DOCSDIR%%/ff-history.html
>  %%PORTDOCS%%%%DOCSDIR%%/ffanvil16.png
> +%%PORTDOCS%%%%DOCSDIR%%/ffanvil300.png
>  %%PORTDOCS%%%%DOCSDIR%%/ffanvil32.png
> +%%PORTDOCS%%%%DOCSDIR%%/ffcartouche.png
> +%%PORTDOCS%%%%DOCSDIR%%/ffdownload.png
>  %%PORTDOCS%%%%DOCSDIR%%/ffi-caret.png
>  %%PORTDOCS%%%%DOCSDIR%%/ffi-moved.png
>  %%PORTDOCS%%%%DOCSDIR%%/ffi-refs.png
> @@ -290,12 +328,30 @@
>  %%PORTDOCS%%%%DOCSDIR%%/findprobs-random.png
>  %%PORTDOCS%%%%DOCSDIR%%/findprobs-refs.png
>  %%PORTDOCS%%%%DOCSDIR%%/findprobs.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/BrasilFlag.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/English.gif
> +%%PORTDOCS%%%%DOCSDIR%%/flags/GermanFlag.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/Greece.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/MalgasyFlag.gif
> +%%PORTDOCS%%%%DOCSDIR%%/flags/Nisshoki-Japan.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/Polish.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/RussianFlag.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/StarsStripes.gif
> +%%PORTDOCS%%%%DOCSDIR%%/flags/Tricolor.gif
> +%%PORTDOCS%%%%DOCSDIR%%/flags/UnionJack.gif
> +%%PORTDOCS%%%%DOCSDIR%%/flags/VietnamFlag.png
> +%%PORTDOCS%%%%DOCSDIR%%/flags/taiwan.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontcompdlg.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontcompresults.png
> +%%PORTDOCS%%%%DOCSDIR%%/fontforge-themes.html
> +%%PORTDOCS%%%%DOCSDIR%%/fontimage.html
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-anchors.png
> +%%PORTDOCS%%%%DOCSDIR%%/fontinfo-charsets.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-cid.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-comment.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-context.png
> +%%PORTDOCS%%%%DOCSDIR%%/fontinfo-gasp.png
> +%%PORTDOCS%%%%DOCSDIR%%/fontinfo-lookups.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-macfeat.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-macstyle.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-markclasses.png
> @@ -314,6 +370,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo-unicode.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo.html
>  %%PORTDOCS%%%%DOCSDIR%%/fontinfo.png
> +%%PORTDOCS%%%%DOCSDIR%%/fontstyles.html
>  %%PORTDOCS%%%%DOCSDIR%%/fontutils.html
>  %%PORTDOCS%%%%DOCSDIR%%/fontview-cid.png
>  %%PORTDOCS%%%%DOCSDIR%%/fontview-grouped.png
> @@ -326,10 +383,12 @@
>  %%PORTDOCS%%%%DOCSDIR%%/fv-normal.png
>  %%PORTDOCS%%%%DOCSDIR%%/fv-smallcaps.png
>  %%PORTDOCS%%%%DOCSDIR%%/fvOutOfDateHinting.png
> +%%PORTDOCS%%%%DOCSDIR%%/generate-upload.png
>  %%PORTDOCS%%%%DOCSDIR%%/generate.html
>  %%PORTDOCS%%%%DOCSDIR%%/generate.png
>  %%PORTDOCS%%%%DOCSDIR%%/getinfo.html
>  %%PORTDOCS%%%%DOCSDIR%%/glossary.html
> +%%PORTDOCS%%%%DOCSDIR%%/glyphinfo-one.png
>  %%PORTDOCS%%%%DOCSDIR%%/gposgsub.html
>  %%PORTDOCS%%%%DOCSDIR%%/grave_with_anchor.png
>  %%PORTDOCS%%%%DOCSDIR%%/greymapedit.png
> @@ -345,6 +404,24 @@
>  %%PORTDOCS%%%%DOCSDIR%%/hintsmenu.html
>  %%PORTDOCS%%%%DOCSDIR%%/histogram.html
>  %%PORTDOCS%%%%DOCSDIR%%/histogram.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligaheadruledone.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligallrulesdone.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligback.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligbacknomatch.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligbackrule.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligbackruledone.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligbyclasses.png
> +%%PORTDOCS%%%%DOCSDIR%%/hliggreekahead.png
> +%%PORTDOCS%%%%DOCSDIR%%/hliggreekback.png
> +%%PORTDOCS%%%%DOCSDIR%%/hliggreekclass.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligiotaclass.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligkappa.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligkappaclass.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligkappaiota.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligmatchsubs.png
> +%%PORTDOCS%%%%DOCSDIR%%/hlignewrule.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligrule.png
> +%%PORTDOCS%%%%DOCSDIR%%/hligseqdlg.png
>  %%PORTDOCS%%%%DOCSDIR%%/i1.png
>  %%PORTDOCS%%%%DOCSDIR%%/i2.png
>  %%PORTDOCS%%%%DOCSDIR%%/i3.png
> @@ -359,6 +436,11 @@
>  %%PORTDOCS%%%%DOCSDIR%%/k6.png
>  %%PORTDOCS%%%%DOCSDIR%%/kanjichar.png
>  %%PORTDOCS%%%%DOCSDIR%%/kanjifont.png
> +%%PORTDOCS%%%%DOCSDIR%%/kappa_iota-context.png
> +%%PORTDOCS%%%%DOCSDIR%%/kappa_iota-lookup.png
> +%%PORTDOCS%%%%DOCSDIR%%/kappa_iota-subtable.png
> +%%PORTDOCS%%%%DOCSDIR%%/kappaiota-lookups.png
> +%%PORTDOCS%%%%DOCSDIR%%/kappaiotatheta.png
>  %%PORTDOCS%%%%DOCSDIR%%/kern-We-12.png
>  %%PORTDOCS%%%%DOCSDIR%%/kern-We-150.png
>  %%PORTDOCS%%%%DOCSDIR%%/kernbyclasses.png
> @@ -376,6 +458,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/l7.png
>  %%PORTDOCS%%%%DOCSDIR%%/l8.png
>  %%PORTDOCS%%%%DOCSDIR%%/l9.png
> +%%PORTDOCS%%%%DOCSDIR%%/lang-dlg.png
>  %%PORTDOCS%%%%DOCSDIR%%/langdlg.png
>  %%PORTDOCS%%%%DOCSDIR%%/layerdlg.png
>  %%PORTDOCS%%%%DOCSDIR%%/layers.png
> @@ -384,6 +467,8 @@
>  %%PORTDOCS%%%%DOCSDIR%%/license.html
>  %%PORTDOCS%%%%DOCSDIR%%/locale.html
>  %%PORTDOCS%%%%DOCSDIR%%/logo3.gif
> +%%PORTDOCS%%%%DOCSDIR%%/lookup-metadata.png
> +%%PORTDOCS%%%%DOCSDIR%%/lookups.html
>  %%PORTDOCS%%%%DOCSDIR%%/lparen-108.png
>  %%PORTDOCS%%%%DOCSDIR%%/lparen-174.png
>  %%PORTDOCS%%%%DOCSDIR%%/mac-install.html
> @@ -394,9 +479,11 @@
>  %%PORTDOCS%%%%DOCSDIR%%/manual-ja-hover.png
>  %%PORTDOCS%%%%DOCSDIR%%/manual-ja.png
>  %%PORTDOCS%%%%DOCSDIR%%/markclass.png
> +%%PORTDOCS%%%%DOCSDIR%%/math.html
> +%%PORTDOCS%%%%DOCSDIR%%/menu_down.png
>  %%PORTDOCS%%%%DOCSDIR%%/mergepost.png
> -%%PORTDOCS%%%%DOCSDIR%%/o1.png
>  %%PORTDOCS%%%%DOCSDIR%%/mergepre.png
> +%%PORTDOCS%%%%DOCSDIR%%/metrics-kappa_iota.png
>  %%PORTDOCS%%%%DOCSDIR%%/metricsmenu.html
>  %%PORTDOCS%%%%DOCSDIR%%/metricsview.html
>  %%PORTDOCS%%%%DOCSDIR%%/mmappleaxes.png
> @@ -421,6 +508,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/non-standard.html
>  %%PORTDOCS%%%%DOCSDIR%%/nvd.html
>  %%PORTDOCS%%%%DOCSDIR%%/o-baddir.png
> +%%PORTDOCS%%%%DOCSDIR%%/o1.png
>  %%PORTDOCS%%%%DOCSDIR%%/o2.png
>  %%PORTDOCS%%%%DOCSDIR%%/o3.png
>  %%PORTDOCS%%%%DOCSDIR%%/o4.png
> @@ -448,24 +536,33 @@
>  %%PORTDOCS%%%%DOCSDIR%%/phi-nohints-outline.png
>  %%PORTDOCS%%%%DOCSDIR%%/plugins.html
>  %%PORTDOCS%%%%DOCSDIR%%/pnts.gif
> -%%PORTDOCS%%%%DOCSDIR%%/pointinfo.png
>  %%PORTDOCS%%%%DOCSDIR%%/pointinfo-interp.png
> +%%PORTDOCS%%%%DOCSDIR%%/pointinfo.png
>  %%PORTDOCS%%%%DOCSDIR%%/pointmenu.html
>  %%PORTDOCS%%%%DOCSDIR%%/pointsize.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-accent.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-apps.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-editing.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-font.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-generate.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-generic.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-macfeat.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-macmap.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-navigation.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-newfont.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-openfont.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-opentype.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-pshints.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-script.png
> +%%PORTDOCS%%%%DOCSDIR%%/prefs-sync.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs-tt.png
>  %%PORTDOCS%%%%DOCSDIR%%/prefs.html
>  %%PORTDOCS%%%%DOCSDIR%%/print.html
>  %%PORTDOCS%%%%DOCSDIR%%/privatekey.png
>  %%PORTDOCS%%%%DOCSDIR%%/privatekeymenu.png
>  %%PORTDOCS%%%%DOCSDIR%%/problems.html
> +%%PORTDOCS%%%%DOCSDIR%%/python.html
> +%%PORTDOCS%%%%DOCSDIR%%/pythonscripts.html
>  %%PORTDOCS%%%%DOCSDIR%%/quadbezier.gif
>  %%PORTDOCS%%%%DOCSDIR%%/quadbezier.png
>  %%PORTDOCS%%%%DOCSDIR%%/quadraticspline.gif
> @@ -484,6 +581,7 @@
>  %%PORTDOCS%%%%DOCSDIR%%/running.html
>  %%PORTDOCS%%%%DOCSDIR%%/sans-serif-def.png
>  %%PORTDOCS%%%%DOCSDIR%%/script-A.png
> +%%PORTDOCS%%%%DOCSDIR%%/script-lang-dlg.png
>  %%PORTDOCS%%%%DOCSDIR%%/scripting-alpha.html
>  %%PORTDOCS%%%%DOCSDIR%%/scripting-tutorial.html
>  %%PORTDOCS%%%%DOCSDIR%%/scripting.html
> @@ -507,6 +605,8 @@
>  %%PORTDOCS%%%%DOCSDIR%%/sidebearings.png
>  %%PORTDOCS%%%%DOCSDIR%%/sm-picture.png
>  %%PORTDOCS%%%%DOCSDIR%%/source-build.html
> +%%PORTDOCS%%%%DOCSDIR%%/spacekappaiotaspace.png
> +%%PORTDOCS%%%%DOCSDIR%%/spacer1x20.png
>  %%PORTDOCS%%%%DOCSDIR%%/splash.png
>  %%PORTDOCS%%%%DOCSDIR%%/splinefont.html
>  %%PORTDOCS%%%%DOCSDIR%%/splines.gif
> @@ -517,6 +617,15 @@
>  %%PORTDOCS%%%%DOCSDIR%%/statemachine-insert.png
>  %%PORTDOCS%%%%DOCSDIR%%/statemachine.html
>  %%PORTDOCS%%%%DOCSDIR%%/strokechar.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-ffi.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-gpos-anchor.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-gpos-kernpair.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-gpos-singlefull.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-gpos-singlehide.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-gsub-ligature.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-gsub-single.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-oldstyle.png
> +%%PORTDOCS%%%%DOCSDIR%%/subtable-to.png
>  %%PORTDOCS%%%%DOCSDIR%%/tilepath-center.png
>  %%PORTDOCS%%%%DOCSDIR%%/tilepath-final.png
>  %%PORTDOCS%%%%DOCSDIR%%/tilepath-left.png
> @@ -545,6 +654,8 @@
>  %%PORTDOCS%%%%DOCSDIR%%/typofeat.html
>  %%PORTDOCS%%%%DOCSDIR%%/uitranslationnotes.html
>  %%PORTDOCS%%%%DOCSDIR%%/uninstall.html
> +%%PORTDOCS%%%%DOCSDIR%%/validation.html
> +%%PORTDOCS%%%%DOCSDIR%%/validation.png
>  %%PORTDOCS%%%%DOCSDIR%%/viewmenu.html
>  %%PORTDOCS%%%%DOCSDIR%%/views.html
>  %%PORTDOCS%%%%DOCSDIR%%/vms-install.html
> @@ -553,191 +664,31 @@
>  %%PORTDOCS%%%%DOCSDIR%%/x-height.png
>  %%PORTDOCS%%%%DOCSDIR%%/xim.html
>  %%PORTDOCS%%%%DOCSDIR%%/xres.html
> -%%PORTDOCS%%%%DOCSDIR%%/flags/BrasilFlag.png
> -%%PORTDOCS%%%%DOCSDIR%%/flags/GermanFlag.png
> -%%PORTDOCS%%%%DOCSDIR%%/flags/MalgasyFlag.gif
> -%%PORTDOCS%%%%DOCSDIR%%/flags/Nisshoki-Japan.png
> -%%PORTDOCS%%%%DOCSDIR%%/flags/RussianFlag.png
> -%%PORTDOCS%%%%DOCSDIR%%/flags/StarsStripes.gif
> -%%PORTDOCS%%%%DOCSDIR%%/flags/Tricolor.gif
> -%%PORTDOCS%%%%DOCSDIR%%/flags/UnionJack.gif
> -%%PORTDOCS%%%%DOCSDIR%%/flags/VietnamFlag.png
> -%%PORTDOCS%%%%DOCSDIR%%/flags/taiwan.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/AA-Comparison.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/AmbrosiaFV.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/BDFgrey.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/BitmapView.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/FontForge.css
> -%%PORTDOCS%%%%DOCSDIR%%/ja/GenerateFamily.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/GenerateOptions.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/GlossaryFS.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/GlossaryFrame.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/HotKeys.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/IndexFS.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/IndexFrame.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/MacFeatName.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/MacMapping.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/MacOSX.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/MetaFont.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/MetricsView.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/PageSetup.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/PfaEdit-TeX.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/TrueOpenTables.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/UniqueID.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/VerticalMetrics.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/accented.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/acorn2sfd.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/agetinfo.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/anchorcontrol.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/autotrace.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/autowidth.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/bdfinfo.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/bezier.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/bibliography.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/bitmapsavail.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/bitmapview.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/changelog.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/charinfo.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/charview.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/charview2.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/cidmapformat.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/cidmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/cliargs.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/contextchain.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/corpchar.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/definegroups.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/diffs.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/display.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/displaygroups.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample2.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample3.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample4.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample5.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample6-5.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample6.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editexample7.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/editmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/elementmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/encodingmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/errrecovery.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/expandstroke.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/faq.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/faqFS.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/faqFrame.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/filemenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/files.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontcompdlg.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontcompresults.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontforge_ja_htdocs-20060822.tar.bz2
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-comment.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-macstyle.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-panose.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-private.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-ps.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-size.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-statemach.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-subsup.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-tex.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-ttfmetrics.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo-ttfvals.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontinfo.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontutils.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontview-grouped.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/fontview.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/future.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/generate.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/generate.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/getinfo.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/glossary.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/gposgsub.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/greymapsavail.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/groups.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/helpmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/hinting.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/hintsmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/histogram.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/index.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/kernpairs.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/layerdlg.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/license.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/locale.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/mac-install.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/macFeatureSetting.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/macfeature.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/macformats.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/mad.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/metricsmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/metricsview.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/mmmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/ms-install.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/multilayer.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/multiplemaster.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/nix-install.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/non-standard.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/nvd.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/oldchangelog.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/otherlinks.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/overview.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/palmfonts.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/pcf-format.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/pfaeditchangelog.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/pfaeditmath.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/plugins.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/pointinfo.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/pointinfo-interp.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/pointmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-apps.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-editing.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-font.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-generic.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-macfeat.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-macmap.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/prefs-script.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/print.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/privatekey.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/privatekeymenu.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/problems.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/quotations.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/realindex.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/ref-caveats.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/rgetinfo.png
> -%%PORTDOCS%%%%DOCSDIR%%/ja/running.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/scripting-alpha.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/scripting-tutorial.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/scripting.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/scriptnotes.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/search.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/selectbyatt.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/selections.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/sfd.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/sfddiff.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/sfdformat.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/showatt.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/source-build.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/splinefont.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/src.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/statemachine.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/tilepath.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/transform.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/ttfinstrs.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/typofeat.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/uninstall.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/viewmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/views.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/vms-install.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/wacom.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/windowmenu.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/xim.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/xres.html
> -%%PORTDOCS%%%%DOCSDIR%%/ja/nonBMP/index.html
> -@dirrm %%DATADIR%%/plugins
> +%%DATADIR%%/Adobe-CNS1-4.cidmap
> +%%DATADIR%%/Adobe-GB1-4.cidmap
> +%%DATADIR%%/Adobe-Identity-0.cidmap
> +%%DATADIR%%/Adobe-Japan1-6.cidmap
> +%%DATADIR%%/Adobe-Japan2-0.cidmap
> +%%DATADIR%%/Adobe-Korea1-2.cidmap
> +%%NO_PLUGINS%%%%DATADIR%%/plugins/gb12345.a
> +%%NO_PLUGINS%%%%DATADIR%%/plugins/gb12345.la
> +%%NO_PLUGINS%%%%DATADIR%%/plugins/gb12345.lai
> +%%NO_PLUGINS%%%%DATADIR%%/plugins/gb12345.o
> +%%NO_PLUGINS%%%%DATADIR%%/plugins/gb12345.so
> +%%NO_PLUGINS%%%%DATADIR%%/plugins/gb12345.so.0
> +share/locale/de/LC_MESSAGES/FontForge.mo
> +share/locale/el/LC_MESSAGES/FontForge.mo
> +share/locale/en_GB/LC_MESSAGES/FontForge.mo
> +share/locale/es/LC_MESSAGES/FontForge.mo
> +share/locale/fr/LC_MESSAGES/FontForge.mo
> +share/locale/it/LC_MESSAGES/FontForge.mo
> +share/locale/ja/LC_MESSAGES/FontForge.mo
> +share/locale/pl/LC_MESSAGES/FontForge.mo
> +share/locale/ru/LC_MESSAGES/FontForge.mo
> +share/locale/vi/LC_MESSAGES/FontForge.mo
> +share/locale/zh_CN/LC_MESSAGES/FontForge.mo
> +share/locale/zh_TW/LC_MESSAGES/FontForge.mo
> +%%NO_PLUGINS%%@dirrm %%DATADIR%%/plugins
>  @dirrm %%DATADIR%%
> -@dirrm %%DOCSDIR%%/flags
> -@dirrm %%DOCSDIR%%/ja/nonBMP
> -@dirrm %%DOCSDIR%%/ja
> -@dirrm %%DOCSDIR%%
> -@dirrmtry share/locale/gr/LC_MESSAGES
> -@dirrmtry share/locale/gr
> +%%PORTDOCS%%@dirrm %%DOCSDIR%%/flags
> +%%PORTDOCS%%@dirrm %%DOCSDIR%%
> --- fontforge-20071002.patch ends here ---
> 
>> Release-Note:
>> Audit-Trail:
>> Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
> 
Comment 2 Naram Qashat 2007-10-25 15:43:07 UTC
I've noticed that no one has taken this port to try to get it updated in the 
ports tree, and it's been sitting here for over a week.  I wanted to see about 
getting it committed before the ports tree is frozen next week.  Could someone 
please look into this?

Thanks,
Naram Qashat
Comment 3 Martin Wilke freebsd_committer 2007-10-25 16:37:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2007-10-27 23:04:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2007-10-27 23:05:02 UTC
miwi        2007-10-27 22:04:41 UTC

  FreeBSD ports repository

  Modified files:
    print/fontforge      Makefile distinfo pkg-plist 
    print/fontforge/files patch-Makefile.dynamic.in 
                          patch-fontforge::Makefile.dynamic.in 
                          patch-fontforge::configure-pfaedit.h 
                          patch-plugins-Makefile.in 
  Log:
  - Update to 20071002
  - Pass maintainershipt to submitter
  
  PR:             117254
  Submitted by:   Naram Qashat <cyberbotx@cyberbotx.com>
  
  Revision  Changes    Path
  1.82      +21 -27    ports/print/fontforge/Makefile
  1.65      +6 -9      ports/print/fontforge/distinfo
  1.15      +12 -12    ports/print/fontforge/files/patch-Makefile.dynamic.in
  1.13      +6 -9      ports/print/fontforge/files/patch-fontforge::Makefile.dynamic.in
  1.6       +4 -13     ports/print/fontforge/files/patch-fontforge::configure-pfaedit.h
  1.2       +6 -6      ports/print/fontforge/files/patch-plugins-Makefile.in
  1.55      +163 -212  ports/print/fontforge/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"